#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Set
%define	pnam	Infinite
Summary:	Set::Infinite - Sets of intervals
Summary(pl.UTF-8):	Set::Infinite - zbiory przedziałów
Name:		perl-Set-Infinite
Version:	0.65
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d7577c5ed8fceb2ebd1247a4c4a3e825
URL:		http://search.cpan.org/dist/Set-Infinite/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set::Infinite is a Set Theory module for infinite sets.

A set is a collection of objects. The objects that belong to a set are
called its members, or "elements".

As objects we allow (almost) anything: reals, integers, and objects
(such as dates).

We allow sets to be infinite.

There is no account for the order of elements. For example, {1,2} =
{2,1}.

%description -l pl.UTF-8
Set::Infinite to moduł teorii zbiorów dla zbiorów nieskończonych.

Zbiór to kolekcja obiektów. Obiekty należące do zbioru są nazywane
jego elementami.

Jako obiekty dopuszczone jest (prawie) wszystko: liczby rzeczywiste,
całkowite i obiekty (takie jak daty).

Ten moduł dopuszcza zbiory nieskończone.

Nie ma porządku elementów. Na przykład {1,2} = {2,1}.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/Set/*.pm
%{perl_vendorlib}/Set/Infinite
%{_mandir}/man3/*
%changelog
* Sat Jan 02 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Set-Infinite.git;a=log;h=master

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> 8a01830
- release 2 (by relup.sh)

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> 3ed505f
- Up to 0.65

* Sun Dec 14 2008 Maciej Pijanka <agaran@pld-linux.org> f441926
- up to 0.63, rel 1

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7036dd4
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 51d5950
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b682937
- converted to UTF-8

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> a4f1658
- drop rpm hack (thx ankry); rel 3

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> b76f66c
- more

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> 01b86ce
- ugly rpmver hack, rel 2

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 5568e4f
- pl

* Sat Aug 12 2006 migo <migo@pld-linux.org> 01a43b9
- initial revision

